LEASE_GET_MTIME(9)

NAME
lease_get_mtime - get the last modified time of an inode

SYNOPSIS

void lease_get_mtime(struct inode * inode, struct timespec * time);

ARGUMENTS

inode
    the inode

time
    pointer to a timespec which will contain the last modified time

DESCRIPTION

This is to force NFS clients to flush their caches for files with exclusive leases. The justification is that if someone has an exclusive lease, then they could be modifying it.

COPYRIGHT